<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Бар';
require_once('conf/head.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  require_once('conf/top.php');
}
switch($_GET[mod]){
default:
?><br/><p class="name">Бармен</p><div class='npc_title'>
<img src='img/ico/syslov.png'  style='float:left;margin-right:5px;'/>
		<b>Имя:</b> <b style='color:#faaa05'>Винар</b></br>
		<b>Ранг:</b> Опытный<br/>
		<b>Группа:</b> Бармен<br/>
</div>
<div class='npc_border'></div>
<div class='npc_title'>
<p><span class="bonus">Винар:</span>
<p><span class="net">- Приветствую тебя сталкер, что хотел то?</span>
</div>
<div class='npc_border'></div>
<div class="foot">
<a class="foot" href="?mod=eda">
<img src="img/ico/link.png" width="12" height="12"/></img>Купить еду</a></div> 
<br/><div class="foot">
<a class="foot" href="kalancha.php">
<img src="img/ico/link.png" width="12" height="12"/></img>Развлечься</a></div> 
<br/><div class="foot">
<a class="foot" href="baza_chn.php">
<img src="img/ico/left.png" alt="."/> Нет, ничего!</a></div> 
<?php
break;
case'eda':
echo"<br/><p class='name'><b>Винар</b></p><div class='npc_title'>
<img src='img/ico/holod.png'  style='float:left;margin-right:5px;'/>
		<b>Имя:</b> <b style='color:#faaa05'>Винар</b></br>
		<b>Ранг:</b> Опытный<br/>
		<b>Группа:</b> Бармен<br/>
</div>
<div class='npc_border'></div>";
 if(!empty($_GET['err'])) {?>
   <?php if ($_GET['err']==1) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #C51A01;background-color:#C51A01'>Недостаточно средств</div>";}?>
   <?php if ($_GET['err']==2) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #64B02C;background-color:#009933'>Куплено $_GET[tov] товаров на сумму $_GET[cena] хабара</div>";}?>
   <?php if ($_GET['err']==3) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #64B02C;background-color:#009933'>Медикаменты успешно проданы</div>";}?>
    <?php }
else{echo'<div class="npc_title"><p class="net">Смотри- выбирай...</p></div>';}
echo'<div class="npc_border"></div>';
if(empty($_GET['id'])) {
echo'<div class=inoy>';
$query_us = "Select * from bar";
      $result_us = mysqli_query($dbc, $query_us) or die ('Ошибка передачи запроса к БД');
	  while ($row= mysqli_fetch_array($result_us)) {
echo'<a href="?mod=eda&id='.$row[id].'"><img src="/img/bar/'.$row[icon].'" align="left" width="20" height="20" alt=""><span style=color:#007F46>'.$row[name].'</span></a>';
}
echo'</div><p><a href="bar.php" class="prof"><img src="img/ico/left.png" alt="."/> Назад</a></p>';
}
$query = "Select * from `bar` WHERE `id` = '$_GET[id]'  LIMIT 1";
$for= mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$avto = mysqli_num_rows($for);
if($avto!=0){
if (isset($_GET['id']) && is_numeric($_GET['id']) && $_GET['id']!=NULL && $_GET['id']>0){
$id=$dbc->query("SELECT * from bar where id=$_GET[id]")->fetch_assoc();
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * from users where id='$user_id'")->fetch_assoc();
}
echo"</p><img src='/img/bar/".$id['icon']."' align='left' width='30' height='30' alt='' style='margin-right:3px;border:1px solid #383838'><div style=color:#126478;font-size:15px;margin:12px;>".$id['name']."</div></b><p>
Цена: ".$id['cena']." Серебра";
echo"<p class='zx'></p><span style=color:#326F60;>Описание:</span><br/><span style=color:#7E7143;>".$id['opis']."</span></p>
<span style=color:#326F60;>Масса:</span><br/><span style=color:red>".$id['massa']." кг</span><br/><br/>";
echo"<font color=#41728B><b>Купить:</b></font></p>
<form action='?mod=pokup&id=".$id['id']." ' method='POST'>
<select style='width:48%; height:25px;' name='eda' class='input'>
<option value='1'>1 штуку</option>
<option value='5'>5 штук</option>
<option value='10'>10 штук</option>
<option value='20'>20 штук</option>
<option value='30'>30 штук</option>
<option value='40'>40 штук</option>
<option value='50'>50 штук</option>
<option value='100'>100 штук</option>
</select><br/>
<input class='label' style='width:30%;' type='submit' value='Купить' /></form>";
echo'<p><p class="zx"></p><a href="bar.php?mod=eda" class="prof"><img src="img/ico/left.png" alt="."/> Назад</a></p>';
}
break;
case'pokup':
$eda_id=$user_id=abs(intval($_GET['id']));
$id=$dbc->query("SELECT * from bar where id=$eda_id")->fetch_assoc();
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * from users where id='$user_id'")->fetch_assoc();
$sumk=abs(intval($_POST['eda']));
$sum=$id['cena']*$sumk;
$eda=$id['namest'];
if($sum>$user[habar]){header ('Location: ?mod=eda&err=1');
exit();
}
$pdo->exec("update users set habar=habar-'$sum', $eda=$eda+'$sumk'  where id = '$user_id' limit 1");
header ('Location: ?mod=eda&err=2&tov='.$sumk.'&cena='.$sum.'');
break;
}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);

?>
</body>
</html>